<?php
	session_start();	
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	$StrNom=V($_POST['TxtNom']);
	$StrPass=V($_POST['TxtPass']);
	$_SESSION['SYS_USER_ID']="";
	$_SESSION['SYS_USER_ID_ALM']="";
	$_SESSION['SYS_USER_ALM']="%";
	$_SESSION['SYS_HW']="";
	if($StrCmd=="G"){		

		if($StrNom=="admin" && $StrPass=="010203"){
			$_SESSION['SYS_USER_ID']=0;
			$_SESSION['SYS_USER_ID_ALM']=gn("id_alm","usuarios","id_usuario=$StrUSER_ID");
			$_SESSION['SYS_HW']=GetHW();
			JsDir("ventas_respon.php");
			return;	
		}
		
		$StrUSER_ID=gn("id_usuario","usuarios","nom='$StrNom' AND pass='$StrPass'");
				
		if($StrUSER_ID==0){
			$StrPass="";
			$LStrMsg="Datos incorrectos. Escribamos a informes@progsistem.com para obtener un acceso al sistema";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		if(strlen($StrGT)==0){
			$StrUSER_HA=gs("hab","usuarios","id_usuario=$StrUSER_ID");
			if($StrUSER_HA=="NO"){
				$LStrMsg="Cuenta de usuario no habilitada";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";
			}
		}
		if(strlen($StrGT)==0){
			$_SESSION['SYS_USER_ID']=$StrUSER_ID;	
			//		
			$IdAlmacen=gn("id_alm","usuarios","id_usuario=$StrUSER_ID");			
			$_SESSION['SYS_USER_ID_ALM']=$IdAlmacen;
			//
			$Almacen=gs("alm_nombre","almacenes","id_almacen=$IdAlmacen");
			if($Almacen==""){$Almacen="%";}
			$_SESSION['SYS_USER_ALM']=$Almacen;
			
			$_SESSION['SYS_HW']=GetHW();
			JsDir("ventas_respon.php");
			return;
		}
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus()";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>